| IOLink Python 1.11.0

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Properties | List of all members
iolink.iolink.ImageViewProvider Class Reference
Inheritance diagram for iolink.iolink.ImageViewProvider:

## Public Member Functions
| __init__ (self)

## Static Public Member Functions
| is_image (view)
| to_image (view)
| to_read_only (image)
| to_write_only (image)

## Properties
| thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")

## Detailed Description

    Utility class to check and convert a View into an ImagevView.

## Member Function Documentation

## ◆ is_image()

iolink.iolink.ImageViewProvider.is_image | ( |  | view | ) |
| static

    Checks if a given View is an ImageView.

## ◆ to_image()

iolink.iolink.ImageViewProvider.to_image | ( |  | view | ) |
| static

        Extracts the ImageView interface from a given generic view.

        If the given view is not an ImageView, this method will return null.

## ◆ to_read_only()

iolink.iolink.ImageViewProvider.to_read_only | ( |  | image | ) |
| static

        Remove all capacities except READ to an ImageView.
        If given ImageView only has READ capacity, it is returned directly.
        :type image: :py:class:`ImageView`
        :param image: ImageView for which we want to only have READ capacity
        :rtype: :py:class:`ImageView`
        :return: an ImageView with only READ capacity

## ◆ to_write_only()

iolink.iolink.ImageViewProvider.to_write_only | ( |  | image | ) |
| static

        Remove all capacities except WRITE to an ImageView.
        If given ImageView only has WRITE capacity, it is returned directly.
        :type image: :py:class:`ImageView`
        :param image: ImageView for which we want to only have WRITE capacity
        :rtype: :py:class:`ImageView`
        :return: an ImageView with only WRITE capacity

The documentation for this class was generated from the following file:

- Release/python/iolink/iolink.py